Autore Topic: [RISOLTO] - Gantry e PHP 7.2  (Letto 92 volte)

Offline emy_aeon

  • Esploratore
  • **
  • Post: 59
    • Mostra profilo
[RISOLTO] - Gantry e PHP 7.2
« il: 05 Dic 2018, 13:06:41 »
Ciao a tutti,ho un problema con Gantry da quando ho aggiornato la versione php.Ho passato il sito alla versione 7.2 e da quel dì Gantry è andato giù segnalandomi una serie di errori :
Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043
 
 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043
 
 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043 

 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/renderers/gantrymodulesrenderer.class.php on line 85

 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043
 
 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043
 
 Deprecated: Function create_function() is deprecated in /web/htdocs/MYSITE/home/libraries/gantry/core/gantry.class.php on line 1043
 
 Warning: require_once(/web/htdocs/MYSITE/home/libraries/joomla/document/html/renderer/head.php): failed to open stream: No such file or directory in /web/htdocs/MYSITE/home/templates/jd_newjersey/error.php on line 68
 
 Fatal error: require_once(): Failed opening required '/web/htdocs/MYSITE/home/libraries/joomla/document/html/renderer/head.php' (include_path='.:/php7.2/lib/php') in /web/htdocs/MYSITE/home/templates/jd_newjersey/error.php on line 68


sul changelog e sul sito Gantry assicura piena compatibilità con PHP 7 (avevo già sul sito la v5), nel dubbio l'ho disinstallata e reinstallata scaricando l'ultimissima versione... ma niente, sempre questi errori.

Aiutoooooooooooo
 
« Ultima modifica: 06 Dic 2018, 16:50:13 da emy_aeon »

Offline xplosion

  • Global Moderator
  • Instancabile
  • ********
  • Post: 3777
  • Sesso: Maschio
    • Mostra profilo
    • Documentazione Gantry Framework
Re:Gantry e PHP 7.2
« Risposta #1 il: 05 Dic 2018, 21:40:18 »
Dovrebbe essere un problema del template. Gantry 5 e pienamente compatibile con PHP 7.2Verifica se hai installato Gantry 4 in precedenza

Offline emy_aeon

  • Esploratore
  • **
  • Post: 59
    • Mostra profilo
Re:Gantry e PHP 7.2
« Risposta #2 il: 06 Dic 2018, 16:49:47 »
Purtroppo devo confermarti che il problema NON è Gantry ma il template...
Ho disinstallato gantry e l'ho reistallato ed ho fatto lo stesso con il template...non mi dava più il problema con Gantry ma mi dava la stessa lista di errori citando però le librerie di Helix (altro frameword).A questo punto ho rinunciato ed ho cambiato template, per assurdo ho fatto prima!

 

Torna su